Draft: Raccordo

From FreeCAD Documentation
This page is a translated version of the page Draft Fillet and the translation is 100% complete.

Raccordo

Posizione nel menu
Drafting → Raccordo
Ambiente
Draft, Arch
Avvio veloce
F I
Introdotto nella versione
0.19
Vedere anche
Linea, Polilinea

Descrizione

Il comando Raccordo crea un raccordo, un angolo arrotondato o smusso, tra due bordi selezionati. In versione 0.21 e precedenti il comando funziona correttamente solo se entrambi i bordi selezionati sono diritti.

Diversi raccordi e smussi creati tra due bordi

Utilizzo

  1. Selezionare due oggetti con un bordo che si incontrano in un unico punto. Vedere Note.
  2. Esistono diversi modi per invocare il comando:
    • Premere il pulsante Raccordo.
    • Selezionare l'opzione Drafting → Raccordo dal menu.
    • Usare la scorciatoia da tastiera: F poi I.
  3. Inserire il Raggio raccordo. Tenere presente che il comando non avrà successo se il raggio è troppo grande per gli oggetti bordo selezionati.
  4. Facoltativamente selezionare l'opzione Elimina gli oggetti originali.
  5. Facoltativamente selezionare l'opzione Crea smusso.
  6. Se è stata selezionata una delle due opzioni precedenti: Fare clic nella casella di immissione Raggio raccordo.
  7. Premere Enter.

Opzioni

  • Premere Esc o il pulsante Chiudi per interrompere il comando.

Note

  • Un Draft Raccordo non può essere modificato né è collegato agli oggetti utilizzati per crearlo.
  • Se gli oggetti selezionati hanno più bordi, verrà utilizzato il primo bordo. Questo potrebbe non essere il bordo selezionato nella Vista 3D.
  • Una Polilinea che ha almeno tre punti può essere raccordata o smussata modificandone rispettivamente DatiFillet Radius o DatiChamfer Size. Poiché Linee e Polilinee, possono essere unite con il comando Polilinea, il comando Unisci o il comando Promuovi forniscono un metodo alternativo per creare raccordi e smussi.

Proprietà

Vedere anche: Editor delle proprietà.

Un oggetto Raccordo deriva da un Part Part2DObject e ne eredita tutte le proprietà. Ha anche le seguenti proprietà aggiuntive:

Dati

Draft

  • DatiEnd (VectorDistance): (sola lettura) specifica il punto finale del raccordo.
  • DatiFillet Radius (Lenght): (sola lettura) raggio con cui è stato creato il raccordo.
  • DatiLength (Length): (sola lettura) specifica la lunghezza totale del raccordo.
  • DatiStart (VectorDistance): (sola lettura) specifica il punto iniziale del raccordo.

Vista

Draft

  • VistaArrow Size (Length): specifica la dimensione del simbolo visualizzato alla fine del raccordo.
  • VistaArrow Type (Enumeration): specifica il tipo di simbolo visualizzato alla fine del raccordo, che può essere Dot, Circle, Arrow, Tick o Tick-2.
  • VistaEnd Arrow (Bool): specifica se mostrare un simbolo alla fine del raccordo, in modo che possa essere utilizzato come linea di annotazione.
  • VistaPattern (Enumeration): non utilizzato.
  • VistaPattern Size (Float): non utilizzato.

Script

Vedere anche: Autogenerated API documentation e Script di base per FreeCAD.

Per creare un Raccordo Draft usare il metodo make_fillet del modulo Draft:

fillet = make_fillet([edge1, edge2], radius=100, chamfer=False, delete=False)
  • Crea un oggetto Fillet tra gli oggetti bordo edge1 e edge2, utilizzando radius per la curvatura.
  • Se chamfer è True creerà un bordo dritto invece di un bordo arrotondato.
  • Se delete è True eliminerà i dati edge1 e edge2 e lascerà solo il nuovo oggetto.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

edge1 = Draft.make_line(p1, p2)
edge2 = Draft.make_line(p2, p3)

doc.recompute()

fillet = Draft.make_fillet([edge1, edge2], radius=500)

doc.recompute()